- Calendar:
    - Calendar:
        widget:
          type: calendar
          firstDayInWeek: monday
          view: monthly
          maxEvents: 10
          showTime: true
          timezone: Europe/Berlin
          
          
- Infrastructure:

    - Proxmox:
        icon: proxmox.svg
        href: "{{HOMEPAGE_VAR_PROXMOX_URL_PVE_1}}"
        description: PVE
        ping: "{{HOMEPAGE_VAR_PROXMOX_URL_PVE_1}}"
        widget:
           type: proxmox
           url: "{{HOMEPAGE_VAR_PROXMOX_URL_PVE_1}}"
           username: "{{HOMEPAGE_VAR_PROXMOX_USER}}"
           password: "{{HOMEPAGE_VAR_PROXMOX_API_KEY}}"
           node: proxmox
           slug: all
           fields:
             - resources.cpu
             - resources.mem
             - vms
           
    - Synology NAS 918:
        icon: synology.svg
        href: "{{HOMEPAGE_VAR_SYNOLOGY_URL_1}}"
        description: NAS 918
        ping: "{{HOMEPAGE_VAR_SYNOLOGY_URL_1}}"
        widget:
           type: diskstation
           url: "{{HOMEPAGE_VAR_SYNOLOGY_URL_1}}"
           username: "{{HOMEPAGE_VAR_SYNOLOGY_USER_1}}"
           password: "{{HOMEPAGE_VAR_SYNOLOGY_PASSWORD_1}}"
           volume_1: volume_1
           volume_2: volume_2
           
    - Synology NAS 718:
        icon: synology.svg
        href: "{{HOMEPAGE_VAR_SYNOLOGY_URL_2}}"
        description: NAS Viper 718
        ping: "{{HOMEPAGE_VAR_SYNOLOGY_URL_2}}"
        widget:
           type: diskstation
           url: "{{HOMEPAGE_VAR_SYNOLOGY_URL_2}}"
           username: "{{HOMEPAGE_VAR_SYNOLOGY_USER_2}}"
           password: "{{HOMEPAGE_VAR_SYNOLOGY_PASSWORD_2}}"
           volume_1: volume_1
           volume_2: volume_2 
           
           
- Portainer:          

    - Docker Server:
        icon: portainer.svg
        href: "{{HOMEPAGE_VAR_PORT_URL_1}}"
        description: Portainer Server 1
        ping: "{{HOMEPAGE_VAR_PORT_URL_1}}"
        widget:
           type: portainer
           url: "{{HOMEPAGE_VAR_PORT_URL_1}}"
           env: 2
           key: "{{HOMEPAGE_VAR_PORT_KEY_1}}" 
           
           metric: cpu
    - Portainer Viper-918:
        icon: portainer.svg
        href: "{{HOMEPAGE_VAR_PORT_URL_2}}"
        description: Portainer Server 2
        ping: "{{HOMEPAGE_VAR_PORT_URL_2}}"
        widget:
           type: portainer
           url: "{{HOMEPAGE_VAR_PORT_URL_2}}"
           env: 2
           key: "{{HOMEPAGE_VAR_PORT_KEY_2}}"  
           
    - Portainer 718:
        icon: portainer.svg
        href: "{{HOMEPAGE_VAR_PORT_URL_3}}"
        description: Portainer Server 3
        ping: "{{HOMEPAGE_VAR_PORT_URL_3}}"
        widget:
           type: portainer
           url: "{{HOMEPAGE_VAR_PORT_URL_3}}"
           env: 3
           key: "{{HOMEPAGE_VAR_PORT_KEY_3}}"
           
    - Portainer homepage:
        icon: portainer.svg
        href: "{{HOMEPAGE_VAR_PORT_URL_4}}"
        server: local
        description: Portainer Server 4
        ping: "{{HOMEPAGE_VAR_PORT_URL_4}}"
        widget:
           type: portainer
           url: "{{HOMEPAGE_VAR_PORT_URL_4}}"
           env: 3
           key: "{{HOMEPAGE_VAR_PORT_KEY_4}}"
           
           
- Network and IoT:

    - Adguard Home:
        icon: adguard-home.svg
        href: "{{HOMEPAGE_VAR_ADGUARD_URL}}"
        description: DNS Server 1
        ping: "{{HOMEPAGE_VAR_ADGUARD_URL}}"
        widget:
           type: adguard
           url: "{{HOMEPAGE_VAR_ADGUARD_URL}}"
           username: "{{HOMEPAGE_VAR_ADGUARD_USER}}"
           password: "{{HOMEPAGE_VAR_ADGUARD_PASSWD}}"
           
    - Pi-Hole:
        icon: pi-hole.svg
        href: "{{HOMEPAGE_VAR_PIHOLE_ADMIN_URL}}"
        description: DNS Server 2
        ping: "{{HOMEPAGE_VAR_PIHOLE_ADMIN_URL}}"
        widget:
          type: pihole
          url: "{{HOMEPAGE_VAR_PIHOLE_URL}}"
          version: 6 
          key: "{{HOMEPAGE_VAR_PIHOLE_KEY}}" 
          fields:
            - queries
            - blocked
            - blocked_percent
            - gravity
           
    - Nginx Proxy Manager:
        icon: nginx-proxy-manager.svg
        href: "{{HOMEPAGE_VAR_NGINX_URL}}"
        description: NGINX Proxy Manager
        server: docker
        ping: "{{HOMEPAGE_VAR_NGINX_URL}}"
        widget:
           type: npm
           url: "{{HOMEPAGE_VAR_NGINX_URL}}"
           username: "{{HOMEPAGE_VAR_NGINX_USER}}"
           password: "{{HOMEPAGE_VAR_NGINX_PASSWD}}"
           
    - mailcow:
        icon: mailcow.svg
        href: "{{HOMEPAGE_VAR_MAILCOW_URL}}"
        description: Mail Server
        ping: "{{HOMEPAGE_VAR_MAILCOW_URL}}"
        widget:
          type: mailcow
          url: "{{HOMEPAGE_VAR_MAILCOW_URL}}"
          key: "{{HOMEPAGE_VAR_MAILCOW_KEY}}" 
          
- Media:

    - Plex:
        icon: plex.svg
        href: "{{HOMEPAGE_VAR_PLEX_URL}}"
        description: Media Player
        ping: "{{HOMEPAGE_VAR_PLEX_URL}}"
        widget:   
           type: plex
           url: "{{HOMEPAGE_VAR_PLEX_URL}}"
           key: "{{HOMEPAGE_VAR_PLEX_KEY}}" 
           fields:
             - streams
             - movies
             - tv
           
    - Tautulli:
        icon: tautulli
        href: "{{HOMEPAGE_VAR_TAUTULLI_URL}}"
        description: Media Player
        ping: "{{HOMEPAGE_VAR_TAUTULLI_URL}}"
        widget:
          type: tautulli
          url: "{{HOMEPAGE_VAR_TAUTULLI_URL}}"
          key: "{{HOMEPAGE_VAR_TAUTULLI_KEY}}"
          enableUser: true 
          showEpisodeNumber: true 
          expandOneStreamToTwoRows: true 
          
    - Immich:
        icon: immich.svg
        href: "{{HOMEPAGE_VAR_IMMICH_URL}}"
        description: Photos
        ping: "{{HOMEPAGE_VAR_IMMICH_URL}}"
        widget:
           type: immich
           url: "{{HOMEPAGE_VAR_IMMICH_URL}}"
           key: "{{HOMEPAGE_VAR_IMMICH_KEY}}"
           version: 2
           fields:
             - photos
             - videos 
             - storage
           
    - Tube Archivist:
        icon: sh-tube-archivist
        href: "{{HOMEPAGE_VAR_TUBE_ARCHIVIST_URL}}"
        description: YT Videos
        ping: "{{HOMEPAGE_VAR_TUBE_ARCHIVIST_URL}}"
        widget:
           type: tubearchivist
           url: "{{HOMEPAGE_VAR_TUBE_ARCHIVIST_URL}}"
           key: "{{HOMEPAGE_VAR_TUBE_ARCHIVIST_KEY}}" 
           
- Monitoring:

    - Fritz!Box:
        icon: fritzbox
        href: "{{HOMEPAGE_VAR_FRITZBOX_URL}}"
        description: FRITZ!Box 6690 Cable Router
        ping: "{{HOMEPAGE_VAR_FRITZBOX_URL}}"
        widget:
          type: fritzbox
          url: "{{HOMEPAGE_VAR_FRITZBOX_URL}}"
          fields:
            - connectionStatus
            - uptime
            - externalIPAddress
            - sent
          
    - Speedtest Tracker:
        icon: librespeed.svg
        href: "{{HOMEPAGE_VAR_SPEEDTEST_URL}}"
        description: Internet Speed Test
        ping: "{{HOMEPAGE_VAR_SPEEDTEST_URL}}"
        widget:
           type: speedtest
           url: "{{HOMEPAGE_VAR_SPEEDTEST_URL}}"
           
    - Grafana:
        icon: grafana.svg
        href: "{{HOMEPAGE_VAR_GRAFANA_URL}}"
        description: Prometheus Metrics
        ping: "{{HOMEPAGE_VAR_GRAFANA_URL}}"
        widget:
           type: prometheus
           url: "{{HOMEPAGE_VAR_PROMETHEUS_URL}}"
           
    - Uptimekuma:
        icon: sh-uptime-kuma
        href: "{{HOMEPAGE_VAR_UPTIMEKUMA_URL}}"
        description: Uptime Monitoring
        ping: "{{HOMEPAGE_VAR_UPTIMEKUMA_URL}}" 
        widget:
          type: uptimekuma
          url: "{{HOMEPAGE_VAR_UPTIMEKUMA_URL}}"
          slug: home
         
          
- Sonstiges:          

    - Gitea:
        icon: gitea.svg
        href: "{{HOMEPAGE_VAR_GITEA_URL}}"
        description: DevOps-Plattform
        ping: "{{HOMEPAGE_VAR_GITEA_URL}}"
        widget:
          type: gitea
          url: "{{HOMEPAGE_VAR_GITEA_URL}}"
          key: "{{HOMEPAGE_VAR_GITEA_KEY}}"
          
    - Paperless-ngx:
        icon: paperless-ngx.svg
        href: "{{HOMEPAGE_VAR_PAPERLESSNGX_URL}}"
        description: Paperless ngx
        ping: "{{HOMEPAGE_VAR_PAPERLESSNGX_URL}}"
        widget:
           type: paperlessngx
           url: "{{HOMEPAGE_VAR_PAPERLESSNGX_URL}}"
           username: "{{HOMEPAGE_VAR_PAPERLESSNGX_USER}}"
           password: "{{HOMEPAGE_VAR_PAPERLESSNGX_PASSWD}}"
           
    - Mealie:
        icon: mealie.svg
        href: "{{HOMEPAGE_VAR_MEALIE_URL}}"
        description: Rezepte
        ping: "{{HOMEPAGE_VAR_MEALIE_URL}}"
        widget:
           type: mealie
           url: "{{HOMEPAGE_VAR_MEALIE_URL}}"
           key: "{{HOMEPAGE_VAR_MEALIE_KEY}}"
           version: 1
    - Access and Services:
    
- Proxmox:         
    - Proxmox:     
        widget:
          type: glances
          url: "{{HOMEPAGE_VAR_GLANCES_SERVER_1}}"
          version: 4
          metric: info  
    - CPU Usage:
        widget:
          type: glances
          url: "{{HOMEPAGE_VAR_GLANCES_SERVER_1}}"
          version: 4
          metric: cpu
    - Memory Usage:
        widget:
          type: glances
          url: "{{HOMEPAGE_VAR_GLANCES_SERVER_1}}"
          version: 4
          metric: memory
    - Network Usage:
        widget:
          type: glances
          url: "{{HOMEPAGE_VAR_GLANCES_SERVER_1}}"
          version: 4
          metric: network:eth0
    - Disk Usage:
        widget:
          type: glances
          url: "{{HOMEPAGE_VAR_GLANCES_SERVER_1}}"
          version: 4
          metric: disk:sdb
          
- Viper-918:
    - Viper-918:       
        widget:
          type: glances
          url: "{{HOMEPAGE_VAR_GLANCES_SERVER_2}}"
          version: 4
          metric: info  
    - CPU Usage:
        widget:
          type: glances
          url: "{{HOMEPAGE_VAR_GLANCES_SERVER_2}}"
          version: 4
          metric: cpu
    - Memory Usage:
        widget:
          type: glances
          url: "{{HOMEPAGE_VAR_GLANCES_SERVER_2}}"
          version: 4
          metric: memory
    - Network Usage:
        widget:
          type: glances
          url: "{{HOMEPAGE_VAR_GLANCES_SERVER_2}}"
          version: 4
          metric: network:eth0
    - Disk Usage:
        widget:
          type: glances
          url: "{{HOMEPAGE_VAR_GLANCES_SERVER_2}}"
          version: 4
          metric: disk:sda
          
- Viper-718:
    - Viper-718:
        widget:
          type: glances
          url: "{{HOMEPAGE_VAR_GLANCES_SERVER_3}}"
          version: 4
          metric: info  
    - CPU Usage:
        widget:
          type: glances
          url: "{{HOMEPAGE_VAR_GLANCES_SERVER_3}}"
          version: 4
          metric: cpu
    - Memory Usage:
        widget:
          type: glances
          url: "{{HOMEPAGE_VAR_GLANCES_SERVER_3}}"
          version: 4
          metric: memory
    - Network Usage:
        widget:
          type: glances
          url: "{{HOMEPAGE_VAR_GLANCES_SERVER_3}}"
          version: 4
          metric: network:eth0
    - Disk Usage:
        widget:
          type: glances
          url: "{{HOMEPAGE_VAR_GLANCES_SERVER_3}}"
          version: 4
          metric: disk:sda 